Subject: re: --with-source=PACKAGE=REPLACEMENT-SOURCE doesn't work recursively

From: Jesse Gibbons <[email-masked]>
Date: Thu, 27 Aug 2020 16:10:38 -0600

(In response to issue at https://issues.guix.info/issue/42155):

I want to be able to specify dependency sources, so I am working on this 
issue. It's complicated because --with-source= can take a simple source 
(implying the package being built should be built from SOURCE) or 
package=source (AIUI implying PACKAGE in the specified list of packages 
should be built from SOURCE).  Should we deprecate the current 
interpretation of "--with-source=package=source"? Or would it be better 
to preserve these options and make a new recursive 
'--with-dependency-source=package=source' option?

I'm leaning towards making the option 
"--with-dependency-source=package=source" because I think that will be 
easier to accomplish and maintain. But if anyone has a compelling reason 
to deprecate the old usage, I am willing to listen.